---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/jdk/jtreg/native/lib/libTestMainKeyWindow.dylib'
relocations:
  - { offsetInCU: 0x27, offset: 0x27, size: 0x8, addend: 0x0, symName: '+[BlockRunner invokeBlock:]', symObjAddr: 0x0, symBinAddr: 0x34BC, symSize: 0xC }
  - { offsetInCU: 0x40, offset: 0x40, size: 0x8, addend: 0x0, symName: _testWindow, symObjAddr: 0x10A70, symBinAddr: 0x8218, symSize: 0x0 }
  - { offsetInCU: 0x3B67, offset: 0x3B67, size: 0x8, addend: 0x0, symName: _colorPanel, symObjAddr: 0x10A78, symBinAddr: 0x8220, symSize: 0x0 }
  - { offsetInCU: 0x3C9F, offset: 0x3C9F, size: 0x8, addend: 0x0, symName: '+[BlockRunner invokeBlock:]', symObjAddr: 0x0, symBinAddr: 0x34BC, symSize: 0xC }
  - { offsetInCU: 0x3CED, offset: 0x3CED, size: 0x8, addend: 0x0, symName: '+[BlockRunner performBlock:]', symObjAddr: 0xC, symBinAddr: 0x34C8, symSize: 0x14 }
  - { offsetInCU: 0x3D2A, offset: 0x3D2A, size: 0x8, addend: 0x0, symName: _Java_TestMainKeyWindow_setup, symObjAddr: 0x20, symBinAddr: 0x34DC, symSize: 0xDC }
  - { offsetInCU: 0x3DA8, offset: 0x3DA8, size: 0x8, addend: 0x0, symName: ___Java_TestMainKeyWindow_setup_block_invoke, symObjAddr: 0xFC, symBinAddr: 0x35B8, symSize: 0x16C }
  - { offsetInCU: 0x3EC6, offset: 0x3EC6, size: 0x8, addend: 0x0, symName: _Java_TestMainKeyWindow_takedown, symObjAddr: 0x268, symBinAddr: 0x3724, symSize: 0x110 }
  - { offsetInCU: 0x3F4B, offset: 0x3F4B, size: 0x8, addend: 0x0, symName: ___Java_TestMainKeyWindow_takedown_block_invoke, symObjAddr: 0x378, symBinAddr: 0x3834, symSize: 0x44 }
  - { offsetInCU: 0x3F64, offset: 0x3F64, size: 0x8, addend: 0x0, symName: _Java_TestMainKeyWindow_activateApplication, symObjAddr: 0x3BC, symBinAddr: 0x3878, symSize: 0xC4 }
  - { offsetInCU: 0x3FD9, offset: 0x3FD9, size: 0x8, addend: 0x0, symName: ___Java_TestMainKeyWindow_activateApplication_block_invoke, symObjAddr: 0x480, symBinAddr: 0x393C, symSize: 0x14 }
...
